Bug 433150 - Include buttons for suspend, hibernate and switch user
Include buttons for suspend, hibernate and switch user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 17:43 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-24 22:43:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-02-16 17:43:12 EST
Description of problem:

The upstream defaults don't include options for suspend, hibernate and switch
user but Fedora supports all of this pretty well. 

Additional info:

Apparently Xubuntu has patched this

http://www.thecodingstudio.com/opensource/linux/screenshots/scaled/Xubuntu%207.10/21.gif

We need to do this and push the patches upstream. If you can get this done
before the Fedora 9 release, it would be great for the Xfce spin.
Comment 1 Rahul Sundaram 2008-02-16 18:35:44 EST
Another reference from the Xfce wish list page

http://www.manucornet.net/GNOME/logout_dialog/
Comment 2 Kevin Fenzi 2008-02-16 21:51:30 EST
See upstream Xfce bugs: 

http://bugzilla.xfce.org/show_bug.cgi?id=2672
and
http://bugzilla.xfce.org/show_bug.cgi?id=2034

and some mailing list discussion at: 
http://www.archivum.info/xfce4-dev@xfce.org/2006-08/msg00005.html

The problems with this patch is that it will do a very simple suspend or
hibernate on those machines that advertise in hal that they can. There is no
ability to specify quirks or otherwise do any tweaks if it doesn't work for you. 

Also, the UI choice is bad... "Quit" and then suspend or hibernate? what about
quitting? ie, users aren't likely to look for it there. 

I think currently it's better to use gnome-power-manager. Unfortunately, that
pulls in a ton of dependencies. 

Comment 3 Rahul Sundaram 2008-02-16 22:49:18 EST
The Xubuntu UI and patches were just examples I pointed out about the
functionality. We don't necessarily need to use the exact same patch or UI.
Probably take a look at what GNOME does in Fedora. We have much better
integration there including quirks support. 
Comment 4 Kevin Fenzi 2008-02-18 19:37:56 EST
Right, so the solution now is: include gnome-power-manager. 

I haven't looked to what this would pull in for things like the livecd however. :(
Comment 5 Christoph Wickert 2008-03-03 15:06:37 EST
+1 for g-p-m. The only question is: How to start it? I suggest via
/etc/xdg/autostart so users can configure it with xfce4-autostart-editor.

For User switching: I think of something like
http://cwickert.fedorapeople.org/screenshots/xfce4-session-user-switch.png

What do you think of the look/layout? Works fine, but requires some changes:
- xfce4-session needs to require gdm for user switching. I'll try to rewrite the
patch so the "Switch user" button is only sensitive or shown when gdmflexiserver
is around.
- We would NEED to include gnome-screensaver on the LiveCD if we allow user
switching.
Comment 6 Rahul Sundaram 2008-03-03 15:13:15 EST
If both gdmflexiserver and gnome-screensaver can be run-time dependencies, that
would be ideal I think. It must be run-time not to cause "pure" Xfce fans to
freak out. 
Comment 7 Christoph Wickert 2008-03-03 15:19:51 EST
Agreed. gdmflexiserver is a run-time dependency (will rewrite the patch). screen
savers are only needed for privacy to lock the screen when switching to another
user. Switching itself works fine without a screen saver.
Comment 8 Rahul Sundaram 2008-03-05 06:17:57 EST
Apparently Mandriva has also their logout dialog to support these options. Can
someone take a look at their patches and see if they are different/better from
the Xubuntu ones?
Comment 9 Christoph Wickert 2008-03-05 08:12:54 EST
Mandriva use the same patches as Xubuntu does, just checked it.
Comment 10 Kevin Fenzi 2008-03-21 21:04:00 EDT
So, where are we here?

For g-p-m, a xdg autostart file would be great, but I would think we would need
to get the g-p-m maintainer to accept that, so not sure thats going to happen.
;( We could it add it to the xfdesktop startup I guess... 

Not sure user switching is good for the 'quit' dialog either... but I guess the
only alternative is to make a xfce panel applet for it. ;( 

Comment 11 Rahul Sundaram 2008-03-21 21:23:29 EDT
Can you file a RFE with g-p-m first explaining why that would be a benefit. If
it is not accepted, we can use xfdesktop. Quit is not a very logical place.
agreed but for now sticking it there seems to be progress. 

Just a reminder that I don't want either g-p-m or gnome-screensaver to be hard
coded. They would merely be installed in the Xfce spin by default and Xfce can
take advantage of it. If those packages are removed, Xfce will lose that
functionality but otherwise remain just the same. Is there any upstream
discussion on whether Xfce itself is gaining these features?
Comment 12 Kevin Fenzi 2008-03-31 23:31:39 EDT
ok. Filed bug 439959. 

Yeah, I agree. 
Xfce was hoping to get some google summer of coding people to work on a Xfce
power manager, but they were not accepted. :( 

See: http://wiki.xfce.org/gsoc-2008-ideas

So, hopefully someone will work on that at some point... 
Comment 13 Rahul Sundaram 2008-03-31 23:39:33 EDT
It is too late this time but we added Jboss.org to Fedora project and got
through SoC. Maybe we can associated some of the Xfce tasks with Fedora next time?
Comment 14 Kevin Fenzi 2008-03-31 23:45:37 EDT
That would be great. They did make an effort this year... perhaps we can work
with them sooner next year. 
Comment 15 Paul Michael Reilly 2008-06-01 16:04:24 EDT
(In reply to comment #5)
> +1 for g-p-m. The only question is: How to start it? I suggest via
> /etc/xdg/autostart so users can configure it with xfce4-autostart-editor.

Does this imply a workaround solution for those who have Gnome installed?  If
not is there a scripting solution you could reference or outline?

My primary interest is suspend but if you want to reply to both suspend and user
switch then all the better.

Thanks,

-pmr

Comment 16 Kevin Fenzi 2008-06-06 14:50:03 EDT
Currently the only work arounds are:

- Run gnome-power-manager once you login. Make sure you have a systray in one of
your Xfce panels to display it. 

- Setup a .desktop file that calls a shell script that runs gnome-power-manager,
and add that desktop in autostarted applications under Xfce. 

I have filed a upstream Gnome bug asking for gnome-power-manager to have a xdg
desktop file. Seems pretty stalled, but feel free to comment or add yourself to
CC there: 

http://bugzilla.gnome.org/show_bug.cgi?id=530800
Comment 17 Christoph Wickert 2008-06-06 18:12:47 EDT
Maybe we should get rid of the idea of using g-p-m altogether?

There is an alternative battery applet with support for hibernate and suspend
via dbus/hal [1]. You can find a package of it at [2]. This project seems to be
stalled because there also is a hal based branch of the original
xfce4-battery-plugin [3] that the author wasn't aware of. I'm also going to
package it for testing purposes, but it won't become stable before Xfce 4.6
because the official policy for Xfce 4.4 is that hal/dbus is optional.

Opinions?

[1] http://ali.slackware.googlepages.com/
[2]
http://cwickert.fedorapeople.org/xfce4/battery-applet-4-xfce4-0.9-1.fc10.src.rpm
(just a quick test)
[3]
http://svn.xfce.org/index.cgi/xfce-goodies/browse/xfce4-battery-plugin/branches/hal_based
Comment 18 Kevin Fenzi 2008-06-06 18:23:44 EDT
Interesting... I think that might well be worth using for 4.6... whenever that
is. ;) 

Comment 19 Bug Zapper 2008-11-26 04:50:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Kevin Fenzi 2008-12-04 23:48:42 EST
It's worth noting here that there is support in 4.6 for suspend/hibernate from the logout dialog... so the orig reason this was opened will be solved when we move to 4.6.

See: http://bugzilla.xfce.org/show_bug.cgi?id=2672

Can we go ahead and close this now? Or is there any reason to keep it open until 4.6 lands?
Comment 21 Kevin Fenzi 2009-01-24 22:43:49 EST
4.6 has landed in rawhide and has this feature. 

Closing this now. Feel free to re-open or file a new bug if there is some issue.

Note You need to log in before you can comment on or make changes to this bug.